%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-roman_numerals_py
Version:       3.1.0
Release:       1mamba
Summary:       Manipulate well-formed Roman numerals
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/AA-Turner/roman-numerals/
Source:        https://pypi.debian.net/roman-numerals-py/roman_numerals_py-%{version}.tar.gz
License:       0BSD
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n roman_numerals_py-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/roman_numerals
%{python_sitelib}/roman_numerals/*

%changelog
* Sat Feb 22 2025 Automatic Build System <autodist@openmamba.org> 3.1.0-1mamba
- automatic version update by autodist

* Thu Feb 20 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- package created using the webbuild interface
